> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Lotes

> Use este endpoint para listar todos os lotes (relatórios de split) criados pelo usuário. É possível filtrar por status.



## OpenAPI

````yaml api-reference/openapi.json get /split
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /split:
    get:
      tags:
        - Lotes
      summary: Listar Lotes
      description: >-
        Use este endpoint para listar todos os lotes (relatórios de split)
        criados pelo usuário. É possível filtrar por status.
      operationId: list_splits_split_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/StatusSplitEnum'
              - type: 'null'
            description: Filtra os lotes por status.
            title: Status
          description: Filtra os lotes por status.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Split'
                title: Response List Splits Split Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    StatusSplitEnum:
      type: string
      enum:
        - PENDING
        - DONE
        - ERROR
        - EXCLUDED
        - PROCESSING
        - CLOSED
      title: StatusSplitEnum
    Split:
      properties:
        _id:
          anyOf:
            - type: string
            - type: 'null'
          title: ' Id'
          description: ID do relatório de divisão.
        paymentBatchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentbatchname
          description: Nome do lote de pagamentos associado ao relatório.
        splitDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Splitdate
          description: Data de criação do relatório de divisão (formato ISO 8601).
        fee:
          anyOf:
            - type: number
            - type: 'null'
          title: Fee
          description: Taxa aplicada ao relatório.
        feeAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Feeamount
          description: Valor da taxa aplicada.
        feePaid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Feepaid
          description: Indica se a taxa foi paga.
        taxId:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxid
          description: CPF ou CNPJ do responsável pelo relatório.
        batchId:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchid
          description: ID do lote associado ao relatório.
        reportId:
          anyOf:
            - type: string
            - type: 'null'
          title: Reportid
          description: ID do relatório associado.
        bubbleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Bubbleid
          description: ID do relatório no sistema Bubble.
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Status atual do relatório de divisão.
        logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo
          description: URL do logo associado ao relatório.
        origin:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin
          description: Origem do relatório.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: 'Moeda utilizada no relatório (ex.: BRL, USD, EUR).'
        exchangeOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchangeorderid
          description: ID da ordem de câmbio associada.
        pixQrCodeId:
          anyOf:
            - type: string
            - type: 'null'
          title: Pixqrcodeid
          description: ID do QR Code Pix associado.
        pixQrCodePayload:
          anyOf:
            - type: string
            - type: 'null'
          title: Pixqrcodepayload
          description: Payload do QR Code Pix associado.
        exchangeRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Exchangerate
          description: Taxa de câmbio aplicada.
        showExchangeData:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Showexchangedata
          description: Indica se os dados de câmbio devem ser exibidos.
        date:
          anyOf:
            - type: string
            - type: 'null'
          title: Date
          description: Data do relatório (formato ISO 8601).
        pendingPayments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pendingpayments
          description: Número de pagamentos pendentes.
        withholdPayments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Withholdpayments
          description: Número de pagamentos retidos.
        donePayments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Donepayments
          description: Número de pagamentos concluídos.
        pendingAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Pendingamount
          description: Valor total pendente.
        withholdAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Withholdamount
          description: Valor total retido.
        irAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Iramount
          description: Valor total de imposto retido.
        paidAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Paidamount
          description: Valor total pago.
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
          description: Valor total do relatório.
      type: object
      title: Split
      description: >-
        Representa os dados de um relatório de divisão.


        **Atributos**:

        - **id** (*str, opcional*): ID do relatório de divisão.

        - **payment_batch_name** (*str, opcional*): Nome do lote de pagamentos
        associado ao relatório.

        - **split_date** (*str, opcional*): Data de criação do relatório de
        divisão (formato ISO 8601).

        - **fee** (*float, opcional*): Taxa aplicada ao relatório.

        - **fee_amount** (*float, opcional*): Valor da taxa aplicada.

        - **fee_paid** (*bool, opcional*): Indica se a taxa foi paga.

        - **tax_id** (*str, opcional*): CPF ou CNPJ do responsável pelo
        relatório.

        - **batch_id** (*str, opcional*): ID do lote associado ao relatório.

        - **report_id** (*str, opcional*): ID do relatório associado.

        - **bubble_id** (*str, opcional*): ID do relatório no sistema Bubble.

        - **status** (*str, opcional*): Status atual do relatório de divisão.

        - **logo** (*str, opcional*): URL do logo associado ao relatório.

        - **origin** (*str, opcional*): Origem do relatório.

        - **currency** (*str, opcional*): Moeda utilizada no relatório (ex.:
        BRL, USD, EUR).

        - **exchange_order_id** (*str, opcional*): ID da ordem de câmbio
        associada.

        - **pix_qr_code_id** (*str, opcional*): ID do QR Code Pix associado.

        - **pix_qr_code_payload** (*str, opcional*): Payload do QR Code Pix
        associado.

        - **exchange_rate** (*float, opcional*): Taxa de câmbio aplicada.

        - **show_exchange_data** (*bool, opcional*): Indica se os dados de
        câmbio devem ser exibidos.

        - **date** (*str, opcional*): Data do relatório (formato ISO 8601).

        - **pending_payments** (*int, opcional*): Número de pagamentos
        pendentes.

        - **withhold_payments** (*int, opcional*): Número de pagamentos retidos.

        - **done_payments** (*int, opcional*): Número de pagamentos concluídos.

        - **pending_amount** (*float, opcional*): Valor total pendente.

        - **withhold_amount** (*float, opcional*): Valor total retido.

        - **ir_amount** (*float, opcional*): Valor total de imposto retido.

        - **paid_amount** (*float, opcional*): Valor total pago.

        - **total_amount** (*float, opcional*): Valor total do relatório.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.